#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "Defines.h"
#include "Params.h"
#include "Utils.h"
#include "File.h"
#include "GenAlg.h"

class CController
{
	private :
		//基因群体的动态存储器
		vector<SGenome>	m_vecThePopulation;
		//遗传算法指针
		CGenAlg* m_pGA;
		//代的计数
		int	m_iGenerations;
	public :
		CController();
		~CController();
		bool Update();
};

#endif
